# fn() lexicalCastWithException
Interpret the character sequence in `source` as the numeric value and write to `target`.

Defined in | <seqan/stream.h>
Signature | `void lexicalCastWithException(target, source);`

## Parameters

`target` | A numeric value to write to.
`source` | The source sequence of `char` to convert.

## Detailed Description

See lexicalCast for examples.

## Thrown Exceptions

`BadLexicalCast` | in the case that casting failed

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn lexicalCastWithException
     *
     * @headerfile <seqan/stream.h>
     *
     * @brief Interpret the character sequence in <tt>source</tt> as the numeric
     *        value and write to <tt>target</tt>.
     *
     * @signature void lexicalCastWithException(target, source);
     *
     * @param[out] target A numeric value to write to.
     * @param[in] source The source sequence of <tt>char</tt> to convert.
     *
     * @throw BadLexicalCast in the case that casting failed
     *
     * See @link lexicalCast @endlink for examples.
     */